#
# uspk08.rb
#
# $Id: uspk08.rb,v 1.1 2000/11/22 14:36:03 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include Math


N = 200
t = NArray.sfloat(N)
z = NArray.sfloat(N)

#-----------------------------------------------------------------------
r = 0.2
a = 4.0
z.indgen(2.0, 2.0)
for i in 0..N-1
  r = a*r*(1.0-r)
  z2  = ((i-4).to_f/40.0)**2
  t[i] = 20.0*exp(-z2) + r*2.0
end

#-----------------------------------------------------------------------
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws

grfrm

#      --- OMAJINAI ---
uslset('LYINV', true)
uzlset('LABELXT', true)
uscset('CYSPOS', 'B')

uscset('CXSIDE', 'T')
uscset('CYSIDE', 'L')

ussttl('TEMPERATURE', 'C|'+ csgi(4) + '"', 'DEPTH', 'm')
usgrph(N, t, z)

grcls

